gtkmm: Gtk::ConstraintVflParserError Class Reference

gtkmm 4.2.0

Public Types | Public Member Functions | List of all members
Gtk::ConstraintVflParserError Class Reference

`#include <gtkmm/constraintlayout.h>`

Inheritance diagram for Gtk::ConstraintVflParserError:
[legend]

## Public Types
enum | Code { INVALID_SYMBOL , INVALID_ATTRIBUTE , INVALID_VIEW , INVALID_METRIC , INVALID_PRIORITY , INVALID_RELATION }
| Domain for VFL parsing errors. More...

## Public Member Functions
| ConstraintVflParserError (Code error_code, const Glib::ustring& error_message)
| ConstraintVflParserError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring &message)
| Error (GError *gobject, bool take_copy=false)
| Error (const Error &other)
Error & | operator= (const Error &other)
| ~Error () noexcept override
| operator bool () const
GQuark | domain () const
int | code () const
const char * | what () const noexcept override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError * | gobject_

## Member Enumeration Documentation

## ◆ Code

enum Gtk::ConstraintVflParserError::Code

Domain for VFL parsing errors.

Enumerator
INVALID_SYMBOL | Invalid or unknown symbol.
INVALID_ATTRIBUTE | Invalid or unknown attribute.
INVALID_VIEW | Invalid or unknown view.
INVALID_METRIC | Invalid or unknown metric.
INVALID_PRIORITY | Invalid or unknown priority.
INVALID_RELATION | Invalid or unknown relation.

## Constructor & Destructor Documentation

## ◆ ConstraintVflParserError() [1/2]

Gtk::ConstraintVflParserError::ConstraintVflParserError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

## ◆ ConstraintVflParserError() [2/2]

Gtk::ConstraintVflParserError::ConstraintVflParserError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

## ◆ code()

Code Gtk::ConstraintVflParserError::code | ( |  | ) | const